From 16ccf982c432fb87bf97f3270760a215461a752e Mon Sep 17 00:00:00 2001
From: bill-auger <mr.j.spam.me@gmail.com>
Date: Dec 18 2023 04:20:25 +0000
Subject: [PATCH 7/19] [icu-compat]: rotate v73


---

diff --git a/libre/icu-compat-72/PKGBUILD b/libre/icu-compat-72/PKGBUILD
new file mode 100644
index 0000000..b7facfa
--- /dev/null
+++ b/libre/icu-compat-72/PKGBUILD
@@ -0,0 +1,168 @@
+# Maintainer (arch:icu): Andreas Radke <andyrtr@archlinux.org>
+# Contributor: Art Gramlich <art@gramlich-net.com>
+# Contributor: Denis 'GNUtoo' Carikli <GNUtoo@cyberdimension.org>
+# Contributor: Eli Schwartz <eschwartz@archlinux.org>
+# Contributor: bill-auger <bill-auger@programmer.net>
+# Maintainer: Parabola Hackers <dev@lists.parabola.nu>
+# Maintainer (archarm:icu): Kevin Mihelich <kevin@archlinuxarm.org>
+
+
+# parabola changes and rationale:
+# - remove all files other than libicu*.so.*
+# - depend on icu; this is needed because if the package is installed on its
+#   own, ldconfig will create un-tracked symlinks which were supposed to be
+#   installed by the icu package.
+# archarm changes and rationale:
+#  - patch to fix icudata library linking on ARM
+#  - remove check for clang in configure - picks up distcc
+
+
+# NOTE:
+#
+# Several Parabola packages depends on 'icu', and the 'icu' "sonames" change
+# frequently. If we don't rebuild all of the Parabola packages which depend on
+# 'icu', as soon as the new ArchLinux, ArchLinux32, and ArchLinuxARM 'icu'
+# packages are synchronized into the Parabola repositories, we have a problem.
+# The repo server synchronizes with the upstream repos un-attended; so this is
+# a wonderful surprise each time. We must hustle to make the system sane
+# again. We could watch the upstream testing and staging repos of each upstream,
+# and start re-building everything in a Parabola staging repo; but that could
+# result in discarded work, if those exact versions are not the ones which are
+# eventually released into the main repos.
+#
+# At first nothing was done to fix or workaround that issue. In practice, once
+# a new 'icu' was synchronized, many users were upgrading before the Parabola
+# packages had the time to be rebuilt. For such users, it broke all the
+# installed Parabola packages that were depending on the old 'icu'. This means
+# that users had to find a way to downgrade packages manually or wait until
+# the package maintainers would finally have rebuilt all of the broken packages.
+#
+# Then such packages were modified to make them depend on the exact version of
+# the 'icu' packages they were built against. This way, once the new 'icu'
+# package is synchronized, the upgrade and the resulting breakage is suppressed,
+# if packages needing rebuild against the new 'icu' package are installed.
+# However this workaround also prevents installing packages that depends on the
+# new 'icu'.
+#
+# An alternate fix would be to automatically build all packages, instead
+# of relying on the upstreams. Still, new staging repos would be required to hold
+# the new packages, until they all can be released together sanely. However we
+# don't have the tooling to run an automatic builder for all packages yet.
+#
+# In the meantime, this version of 'icu' exists for Parabola packages to link
+# against at runtime. In this way, Parabola packages can depend only on the
+# shared-object dependencies (aka: "sodeps", eg: libicu*.so) exposed by 'icu',
+# which is usually provided by the upstream's 'icu'; but may fall-back on this
+# package, if the dependent package has yet to be rebuilt.
+#
+# It is inspired by the awkward hack of carrying multiple versions of library
+# dependencies, commonly used temporarily, for extraordinary cases (e.g. in
+# ArchLinux32 and the AUR as 'icu65', in ArchLinux as 'electronNN', etc).
+# The awkwardness is superficial though. This "rolling" fall-back scales
+# elegantly to Parabola's needs, without consuming increasing resources.
+#
+# 'icu-compat' will usually be one major version behind core/icu. Dependent
+# PKGBUILDs of 'icu' can simply add the following "sodep" dependency:
+#
+#   depends=('libicui18n.so')
+#
+# or whichever libicu*.so.* linkage is reported by:
+#
+#   $ readelf -d /path/to/compiled/ELF/file | grep libicu
+#
+# Then, each time the upstream distribution upgrades 'icu', upgrade this package
+# as well, ensuring that it is always at the immediately preceding upstream
+# version. If some dependent is not yet re-built when it's 'icu' sodep becomes
+# more than one version behind upstream, this PKGBUILD could be renamed/re-built
+# as 'icu-compat-NN'. Of course, it would still be better to rebuild the
+# dependent(s) instead; but sometimes (especially for i686) the dependent may
+# have other problems, preventing rebuild.
+#
+# Though pacman will pull in the appropriate package automatically as needed, the
+# general recommendation is for all Parabola users to keep this package installed
+# always, as a catch-all for any dependent lacking the appropriate sodep.
+#
+# This works well for 'icu', even for packages which link to both the older and
+# newer versions of libicu*.so, since 'icu' uses versioned symbols as reported by:
+#
+#   $ nm -D --demangle --with-symbol-versions /path/to/library
+#
+# However, caution must be taken before implementing the same hack for other
+# libraries. Currently, 'icu' is the only one which changes so often, has so
+# many dependents, _and_ supports this hack robustly.
+
+
+pkgname=icu-compat-72
+pkgver=72.1
+pkgrel=2
+pkgdesc="International Components for Unicode library"
+pkgdesc+=" (compatibility libraries for the previous release)"
+arch=(x86_64)
+arch+=(armv7h i686)
+url="https://icu.unicode.org"
+license=('custom:icu')
+depends=('gcc-libs' 'sh')
+depends+=("icu>${pkgver}")
+makedepends=('python')
+provides=(libicu{data,i18n,io,test,tu,uc}.so)
+conflicts=("icu<=${pkgver}" icu${pkgver%%.*})
+options=('debug')
+source=(https://github.com/unicode-org/icu/releases/download/release-${pkgver//./-}/icu4c-${pkgver//./_}-src.tgz{,.asc})
+source_armv7h=(icudata-stdlibs.patch)
+sha512sums=('848c341b37c0ff077e34a95d92c6200d5aaddd0ee5e06134101a74e04deb08256a5e817c8aefab020986abe810b7827dd7b2169a60dacd250c298870518dcae8'
+            'SKIP')
+sha512sums_armv7h=('8f13898c2b2d69ef516ee0831a73e5865676795716e7becac4457e208642bfdffb42f2a9280e99dcc10303ad721f5dc2e10ef83c633bd723044e98cc72c6bc7b')
+# checksums may be checked against upstream:
+#   $ curl -Ls https://github.com/unicode-org/icu/releases/download/release-${pkgver//./-}/SHASUM512.txt | grep '\-src.tgz'
+#validpgpkeys=('BA90283A60D67BA0DD910A893932080F4FB419E3') #  "Steven R. Loomis (filfla-signing) <srloomis@us.ibm.com>" 
+#validpgpkeys+=('9731166CD8E23A83BEE7C6D3ACA5DBE1FD8FABF1') #  "Steven R. Loomis (ICU Project) <srl@icu-project.org>" 
+#validpgpkeys+=('FFA9129A180D765B7A5BEA1C9B432B27D1BA20D7') # "Fredrik Roubert <fredrik@roubert.name>"
+#validpgpkeys+=('E4098B78AFC94394F3F49AA903996C7C83F12F11') # "keybase.io/srl295 <srl295@keybase.io>"
+#validpgpkeys+=('4569BBC09DA846FC91CBD21CE1BBA44593CF2AE0') # "Steven R. Loomis (codesign-qormi) <srloomis@us.ibm.com>"
+#validpgpkeys=('0E51E7F06EF719FBD072782A5F56E5AFA63CCD33') #"Craig Cornelius (For use with ICU releases) <ccornelius@google.com>"
+validpgpkeys=('3DA35301A7C330257B8755754058F67406EAA6AB') # Craig Cornelius <ccornelius@google.com>
+
+
+prepare() {
+  ## arch-specific patching ##
+  case "${CARCH}" in
+  armv7h)
+    # ../../bin/genrb: error while loading shared libraries: ../../lib/libicudata.so.70: internal error
+    cd icu/source
+    patch -p2 -i ${srcdir}/icudata-stdlibs.patch
+    sed -r -i 's/(for ac_prog in )clang(\+\+)? /\1/g' configure
+    ;;
+  esac
+}
+
+build() {
+  cd icu/source
+  ./configure --prefix=/usr \
+  --sysconfdir=/etc \
+  --mandir=/usr/share/man \
+  --sbindir=/usr/bin
+  make
+}
+
+check() {
+  # v71 - the 'iotest' test fails on armv7h
+  # v72 - the 'intltest' test fails on armv7h
+  [[ "${CARCH}" != armv7h ]] || return 0
+
+  cd icu/source
+  make -k check
+}
+
+package() {
+  cd icu/source
+  make -j1 DESTDIR="${pkgdir}" install
+
+  # Install license
+  install -Dm644 "${srcdir}"/icu/LICENSE "${pkgdir}"/usr/share/licenses/icu/LICENSE
+  mv "${pkgdir}"/usr/share/licenses/{icu,${pkgname}}
+
+  # to avoid conflicts against the preferred 'icu' package, we remove all files
+  # except the actual shared libraries
+  rm -r "${pkgdir}"/usr/{bin,include,lib/{icu,pkgconfig},share}
+  rm "${pkgdir}"/usr/lib/*.so
+}
diff --git a/libre/icu-compat/PKGBUILD b/libre/icu-compat/PKGBUILD
index 04545d7..d0ec9fa 100644
--- a/libre/icu-compat/PKGBUILD
+++ b/libre/icu-compat/PKGBUILD
@@ -93,7 +93,7 @@
 
 
 pkgname=icu-compat
-pkgver=72.1
+pkgver=73.2
 pkgrel=2
 pkgdesc="International Components for Unicode library"
 pkgdesc+=" (compatibility libraries for the previous release)"
@@ -101,19 +101,20 @@ arch=(x86_64)
 arch+=(armv7h i686)
 url="https://icu.unicode.org"
 license=('custom:icu')
-depends=('gcc-libs' 'sh')
+depends=('gcc-libs' 'glibc' 'sh')
 depends+=("icu>${pkgver}")
 makedepends=('python')
 provides=(libicu{data,i18n,io,test,tu,uc}.so)
 conflicts=("icu<=${pkgver}" icu${pkgver%%.*})
 options=('debug')
-source=(https://github.com/unicode-org/icu/releases/download/release-${pkgver//./-}/icu4c-${pkgver//./_}-src.tgz{,.asc})
+source=(https://github.com/unicode-org/icu/releases/download/release-${pkgver//./-}/icu4c-${pkgver//./_}-src.tgz{,.asc}
+        ICU-22132.patch)
 source_armv7h=(icudata-stdlibs.patch)
-sha512sums=('848c341b37c0ff077e34a95d92c6200d5aaddd0ee5e06134101a74e04deb08256a5e817c8aefab020986abe810b7827dd7b2169a60dacd250c298870518dcae8'
-            'SKIP')
+# https://github.com/unicode-org/icu/releases/download/release-73-2/SHASUM512.txt
+sha512sums=('76dd782db6205833f289d7eb68b60860dddfa3f614f0ba03fe7ec13117077f82109f0dc1becabcdf4c8a9c628b94478ab0a46134bdb06f4302be55f74027ce62'
+            'SKIP'
+            '1178062ccfcf7ecc698c64132b3612e73f9c4b0bbfaa668ae2039f3eb4cb2722d0b08a9f45b057da10def7a308d5c8d14c0c644892e7f11092c9cc488c850ab7')
 sha512sums_armv7h=('8f13898c2b2d69ef516ee0831a73e5865676795716e7becac4457e208642bfdffb42f2a9280e99dcc10303ad721f5dc2e10ef83c633bd723044e98cc72c6bc7b')
-# checksums may be checked against upstream:
-#   $ curl -Ls https://github.com/unicode-org/icu/releases/download/release-${pkgver//./-}/SHASUM512.txt | grep '\-src.tgz'
 #validpgpkeys=('BA90283A60D67BA0DD910A893932080F4FB419E3') #  "Steven R. Loomis (filfla-signing) <srloomis@us.ibm.com>" 
 #validpgpkeys+=('9731166CD8E23A83BEE7C6D3ACA5DBE1FD8FABF1') #  "Steven R. Loomis (ICU Project) <srl@icu-project.org>" 
 #validpgpkeys+=('FFA9129A180D765B7A5BEA1C9B432B27D1BA20D7') # "Fredrik Roubert <fredrik@roubert.name>"
@@ -124,11 +125,15 @@ validpgpkeys=('3DA35301A7C330257B8755754058F67406EAA6AB') # Craig Cornelius <cco
 
 
 prepare() {
+  cd icu/source
+  patch -Np1 < "../../ICU-22132.patch"
+
+
   ## arch-specific patching ##
+
   case "${CARCH}" in
   armv7h)
     # ../../bin/genrb: error while loading shared libraries: ../../lib/libicudata.so.70: internal error
-    cd icu/source
     patch -p2 -i ${srcdir}/icudata-stdlibs.patch
     sed -r -i 's/(for ac_prog in )clang(\+\+)? /\1/g' configure
     ;;
@@ -145,9 +150,10 @@ build() {
 }
 
 check() {
-  # v71 - the 'iotest' test fails on armv7h
-  # v72 - the 'intltest' test fails on armv7h
-  [[ "${CARCH}" != armv7h ]] || return 0
+  # v71 - 'iotest' test fails on armv7h
+  # v72 - 'intltest' test fails on armv7h
+  # v73 - 'intltest' test fails on x86_64
+  [[ "${CARCH}" != x86_64 ]] || return 0
 
   cd icu/source
   make -k check
@@ -161,8 +167,8 @@ package() {
   install -Dm644 "${srcdir}"/icu/LICENSE "${pkgdir}"/usr/share/licenses/icu/LICENSE
   mv "${pkgdir}"/usr/share/licenses/{icu,${pkgname}}
 
-  # to avoid conflicts against the preferred 'icu' package, we remove all files
-  # except the actual shared libraries
+  # icu-compat - to avoid conflicts against the preferred 'icu' package,
+  #              we remove all files except the actual shared libraries
   rm -r "${pkgdir}"/usr/{bin,include,lib/{icu,pkgconfig},share}
   rm "${pkgdir}"/usr/lib/*.so
 }
diff --git a/libre/icu-compat/keys/pgp/0E51E7F06EF719FBD072782A5F56E5AFA63CCD33.asc b/libre/icu-compat/keys/pgp/0E51E7F06EF719FBD072782A5F56E5AFA63CCD33.asc
new file mode 100644
index 0000000..8a35b6c
--- /dev/null
+++ b/libre/icu-compat/keys/pgp/0E51E7F06EF719FBD072782A5F56E5AFA63CCD33.asc
@@ -0,0 +1,41 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+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=
+=VLtP
+-----END PGP PUBLIC KEY BLOCK-----
diff --git a/libre/icu-compat/keys/pgp/3DA35301A7C330257B8755754058F67406EAA6AB.asc b/libre/icu-compat/keys/pgp/3DA35301A7C330257B8755754058F67406EAA6AB.asc
new file mode 100644
index 0000000..3389e93
--- /dev/null
+++ b/libre/icu-compat/keys/pgp/3DA35301A7C330257B8755754058F67406EAA6AB.asc
@@ -0,0 +1,41 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+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+=oZq8
+-----END PGP PUBLIC KEY BLOCK-----
diff --git a/libre/icu-compat/keys/pgp/FFA9129A180D765B7A5BEA1C9B432B27D1BA20D7.asc b/libre/icu-compat/keys/pgp/FFA9129A180D765B7A5BEA1C9B432B27D1BA20D7.asc
new file mode 100644
index 0000000..37a42f7
--- /dev/null
+++ b/libre/icu-compat/keys/pgp/FFA9129A180D765B7A5BEA1C9B432B27D1BA20D7.asc
@@ -0,0 +1,63 @@
+-----BEGIN PGP PUBLIC KEY BLOCK-----
+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+=wXuO
+-----END PGP PUBLIC KEY BLOCK-----

